namespace BookWorm
{

	abstract class EBookWidget : Gtk.Grid {

		/**
		 * Takes a path to a file and displays it in the widget.
		 */
		public abstract void open_book (string path);

		/**
		 * Tells the widget to go to the next page.
		 */
		public abstract void next_page ();

		/**
		 * Tells the widget to go to the previous page.
		 */
		public abstract void previous_page ();

		public abstract void search (string text);
	}

}
