namespace BookWorm
{
	public class HamburgerMenu : Gtk.Grid {
		
		Granite.Widgets.StaticNotebook notebook;
		
		public HamburgerMenu (Book? b) {
			notebook = new Granite.Widgets.StaticNotebook ();
			var bookmarks = new BookmarkListWidget (
						{new Bookmark ("first bookmark", 0), new Bookmark ("second bookmark", 1)}
					);
			notebook.append_page (bookmarks, new Gtk.Label (_("Bookmarks")));
			
			notebook.append_page (new ChapterMenu (), new Gtk.Label (_("Chapters")));
			
			attach (notebook, 0, 0, 1, 1);
		}
		
	}

}
