namespace BookWorm {

	public class NotFoundScreen : Gtk.Grid {

		Gtk.Separator top_separator = new Gtk.Separator (Gtk.Orientation.HORIZONTAL);

		public NotFoundScreen () {
			expand = true;
			valign = Gtk.Align.CENTER;
			halign = Gtk.Align.CENTER;

			top_separator.hexpand = true;
			attach (top_separator, 0, 0, 1, 1);

			var questionmark_img = new Gtk.Image.from_icon_name ("help-contents",
						Gtk.IconSize.DIALOG);
			questionmark_img.margin = 8;
			questionmark_img.margin_top = 16;
			attach (questionmark_img, 0, 1, 1, 1);


			var name_lbl = new Gtk.Label ("");
			name_lbl.set_markup (@"<b><big>Can't find the book? Try searching online:</big></b>");
			attach (name_lbl, 0, 2, 1, 1);

			margin = 30;
		}

		public void show_separator (bool show) {
			top_separator.visible = show;
		}

	}
}
